Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

Manage payment sources

This API generates a hosted page URL to add new or update existing payment sources for the customer.

Use one of the following methods to open the hosted page:

  • In-app modal: Use Chargebee.js openCheckout() to open the hosted page in a modal popup in your website or application.
  • Standalone page: Redirect the customer to the hosted page url.

Do not embed the hosted page in your own iframe.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/hosted_pages/manage_payment_sources

Input Parameters

business_entity_id
optional, string, max chars=50

The unique ID of the business entity of this hosted page. This is always the same as the business entity of the customer.

brand_id
optional, string, max chars=50

The unique ID of the brand this hosted page should be linked to. Applicable only when multiple brands have been created for the site. This need not match the brand of the customer or subscription in the request; when the two differ, the value provided here is used for the hosted page. An alternative way of passing this parameter is by means of the chargebee-brand-id custom HTTP header; when both are provided, they must specify the same brand.

Default behavior

  • When not provided, the hosted page is linked to the brand of the customer or subscription in the request.
redirect_url
optional, string, max chars=250

URL to redirect after payment method is added.

customer
Parameters for customer
pass parameters as customer[<param name>]
card
Parameters for card
pass parameters as card[<param name>]

Returns

Hosted page object

Resource object representing hosted_page